@echo off
SET PACKDIR=A
if "%1"=="" goto noversion
goto dopack
:noversion
SET VERSION=163
:dopack
SET ZIPNAME=mpxp%VERSION%w.zip
md %PACKDIR%
md %PACKDIR%\DOCS
del %PACKDIR%\*.exe
del %PACKDIR%\*.ini
del %PACKDIR%\*.diz
del %PACKDIR%\DOCS\*.WIN
del %PACKDIR%\DOCS\*.TXT
del %PACKDIR%\DOCS\*.%VERSION%
del %ZIPNAME%
copy ..\mpxplay.exe %PACKDIR%
copy MPXPLAY\COMMON\DOCS\*.* %PACKDIR%\DOCS\
copy MPXPLAY\WIN32\DOCS\*.* %PACKDIR%\DOCS\
copy MPXPLAY\WIN32\*.* %PACKDIR%
cd %PACKDIR%
c:\UTILS\7z.exe a -tzip -r -scsWIN ..\%ZIPNAME% > NUL
cd ..
